import request from '@/config/axios'

export interface NvrVO {
  id: undefined,
  brand: undefined,
  code: undefined,
  name: undefined,
  ip: undefined,
  port: undefined,
  username: undefined,
  password: undefined,
  device: undefined,
  position: undefined,
  remark: undefined
}

// 查询列表
export const getNvrPage = (params: PageParam) => {
  return request.get({ url: '/data/video/nvr/page', params })
}

// 获得
export const getNvr = (id: number) => {
  return request.get({ url: '/data/video/nvr/get?id=' + id })
}

// 查询应用列表
export const getNvrList = () => {
  return request.get({ url: '/data/video/nvr/list' })
}

// 新增
export const createNvr = (data: NvrVO) => {
  return request.post({ url: '/data/video/nvr/create', data })
}

// 修改
export const updateNvr = (data: NvrVO) => {
  return request.put({ url: '/data/video/nvr/update', data })
}

// 删除
export const deleteNvr = (id: number) => {
  return request.delete({ url: '/data/video/nvr/delete?id=' + id })
}

// 导出
export const exportNvr = (params: NvrVO) => {
  return request.download({ url: '/data/video/nvr/export-excel', params })
}
